summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/flask-htmlmin/flask-htmlmin-2.1.0.ebuild')
-rw-r--r--dev-python/flask-htmlmin/flask-htmlmin-2.1.0.ebuild33
1 files changed, 33 insertions, 0 deletions
diff --git a/dev-python/flask-htmlmin/flask-htmlmin-2.1.0.ebuild b/dev-python/flask-htmlmin/flask-htmlmin-2.1.0.ebuild
new file mode 100644
index 00000000000..96693eb4eb7
--- /dev/null
+++ b/dev-python/flask-htmlmin/flask-htmlmin-2.1.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN="Flask-HTMLmin"
+MY_P=${MY_PN}-${PV}
+
+PYTHON_COMPAT=( python3_{7..9} )
+inherit distutils-r1
+
+DESCRIPTION="Minimize your flask rendered html"
+HOMEPAGE="https://github.com/hamidfzm/Flask-HTMLmin"
+SRC_URI="
+ https://github.com/hamidfzm/Flask-HTMLmin/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ app-text/htmlmin[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/pytest-runner/d' setup.py || die
+ distutils-r1_src_prepare
+}